2010-08-10 :
* Fixed: loosing selection when unindenting text

2010-08-08 :
* Added: missing files to 'debian' dir
* Fixed: 'control' file

2010-07-10 :
* Added: Tab insertion menu item (needed sometimes when option 'Replace tabs with spaces' is used
* Moved 'Rename file' menu item close to 'Save as'

2010-06-07 :
* Fixed: a bug with 'Replace all'
* Swapped 'find next'/'find prev' and 'replace next'/'replace prev' buttons
* Fixed: tab-order of search popup controls

2010-06-06 :
* Performance improvements:
  * fixed several duplicated notifications
  * significantly improved search performance

2010-06-04 :
* Added: context menu to markers' margin

2010-06-03 :
* Added: markers menu

2010-06-02 :
* Improvements to the dialog for saving multiple files when closing the program
* Added: a menu item 'Close all' to the tabbar menu
* Added: text replacing to the new popup search dialog
* Added: line markers

2010-06-01 :
* Changed find dialog from modal to popup at the bottom
* Added: 'search as you type'
* Added: highlighting all the occurences
* Hopefully fixed focusing problem

2010-05-27 :
* Added: manual displaying of auto-completion box
* Made popup message window animated

2010-05-26 :
* Fixed: opening recent files
* Replaced some modal popups with modeless transparent ones

2010-05-25 :
* Added: removing the line to the beginning and to the end
* Added: selecting lines by dragging mouse through line numbers
* Fixed: a problem with many undo steps when pressing Enter
* Added: jumping over word parts with Ctrl (Eclipse-style)
* Added: 'Fold/Unfold all' action

2010-05-24 :
* Added: EOL handling

2010-05-19 :
* Fixed: problem with focus when calling plugin API functions gotoLine/setCursorPos
* Added: notifying plugins when settings were applied

2010-04-27 :
* Adding: menu items by plugins
* Fixed: closing tabs with close buttons

2010-04-23 :
* Added: close buttons on tabs

2010-04-22 :
* Added: settings for toolbar style, icons size and for tabbar position

2010-04-21 :
* Added: 'Add to project' and 'Remove from project' actions to tab menu

2010-04-19 :
* Removed project tree (moved to a plugin)
* Fixed: getting the last dir when saving a file

2010-04-18:
* Restored nearly all functionality existed in version 0.8.1. Known regresions:
  * can't select line ending (Win/Mac/Unix)
  * missing markers
  * can't change split orientation
  * small bugs here and there :)

2010-03-31:
* Merged redesigned version from experimental branch. New features:
  * two panels
  * moving blocks up and down
  * switch between documents with Ctrl+Tab
  * full screen mode
  * current word highlighting
  * quick document selection


===============================
0.8.1
===============================

2010-02-10:
* Applied patchset from David Stegbauer:
  * Removed unneeded debug outputs
  * Pascal Lexer Correction
  * Updated juffed.desktop translations
  * QString::arg: Argument missing: Found sceme
  * QObject::connect: Cannot connect (null)::hasChangedItems(bool)

2010-01-30:
* Added: Czech localization (thanks to Pavel Fric)


===============================
0.8
===============================

2010-01-26:
* Fixed: the bug that caused incomplete localizations

2010-01-21:
* Fixed: startup notification in taskbar
* Updated .desktop file

-------------------------------
0.8 beta 1
-------------------------------

2009-11-05:
* Added: CSS configuring
* Added: warning when changing charset on modified file
* Updated localizations
* Fixed: make_tarball script for proper handling non-dev releases

2009-11-02:
* Added: API file for HTML

2009-10-28:
* Fixed: problems with getting active edit
* Fixed: bug with not responding on commands if the splitted view 
  is activated (removed 2nd tabwidget completely for this release)
* Removed: confirmation dialog when reaching the end of text while searching text
* Fixed: introduced bug with modification status on tabs
* Localizations updated

2009-10-27:
* Added rpath in case JuffEd was built and installed with a non-standard prefix

2009-10-26:
* Merged from trunk: fix for '_empty_session_' in 'Save session as' dialog
* Merged from trunk: fix for more 'printer-friendly' printing when using 
  a theme with dark background
* Merged from trunk: added settings page for printing options

2009-10-24:
* Localization updated (German)

2009-10-23:
* Fixed: activating window when passing a file to existing instance (on Windows)
* Final fix for title bar

2009-10-22:
* Fixed: '_empty_session_' in title (now for real :))

2009-10-21:
* Updated localizations (Russian and French are full now)
* Fixed: updating background color and text color without restart

2009-10-20:
* Added: selectionTextColor() method to TextDocSettings

2009-10-18:
* Splitted branch 0.8

2009-10-17:
* Removed default keys Ctrl+D, Ctrl+L, etc.
* Fixed: getting svn revision (now using CMake)

2009-10-14:
* Added: list of existing sessions to session menu for quick opening
* Removed platform-dependent code for single instance (not tested on Windows yet)
* Added raising window on Windows when received a file in a single instance
* Fixed: '_empty_session_' in title when modified a doc

-------------------------------
Preview-version 0.7.669
-------------------------------

2009-10-13:
* Localizations updated
* Added: intelligent inverting selected text color

2009-10-09:
* Added 'Go to line' dialog calling when clicking on 
  'Cursor position' or 'Lines count' status labels

2009-10-08:
* Fixed: minimum width for cursor position status label

2009-10-07:
* Fixed: configuring shortcuts for SciDoc actions
* Added: 'Duplicate line', 'Delete current line', 'TO UPPER CASE',
  'to lower case' and 'Move line up' actions to main menu

2009-10-03:
* Added: setting the word under cursor as a search string to FindDlg

2009-09-30:
* Fixed: keyboard navigation through find combobox in FindDlg

2009-09-29:
* Refactored LexerStorage class
* Added: Fortran syntax highlighting
* Added: keyboard accelerators for controls in FindDialog

2009-08-27:
* Fixed: missed 'Open session' dialog if there was no sessions
* Fixed: closing the current session before displaying the
  'Open session' dialog

2009-08-25:
* Added: proper 'debian' dir for packaging
* Updated localizations
* Removed plugin example
* Added: build depends to 'control' file

2009-08-24:
* Added: getting and setting charset through Plugins API
* Fixed: manual charset selection (previously it was always 
  through 'enca' if it was available)

2009-08-23:
* Fixed: applying keybindings without restarting
* Added: minimum size to SettingsDlg

-------------------------------
Preview-version 0.7.606
-------------------------------

2009-08-22:
* Some internal changes in Settings (SettingsSelectItem)
* Fixed troubles with versioning on Windows
* Added: shortcuts configuration (for now in config only, no GUI)
* Fixed: storing settings instantly after pressing 'Apply'

2009-08-19:
* Resolved a possible performance issue
* Fixed: bug in default values for some settings
* Added script for making tarballs easily and correctly

-------------------------------
Preview-version 0.7.591
-------------------------------

2009-08-09:
* Added getting a main widget pointer to a plugins interface
* Localizations updated

2009-07-31:
* Fixed: building issue in SettingsDlg (wrong include path)
* Fixed: building issue with new QScintilla (they removed 
  CommentDoc style in Pascal lexer)

2009-07-29:
* Added: removing a session in Session Dialog
* Fixed: problem with 'lost' main toolbar when call 
  'New session' or 'Open session'

2009-07-28:
* Fixed: bug with printing Noname files

2009-07-27:
* Fixed bug with not updated title when closing last document 
  (using close button on tab or tab bar)
* Added: charset auto-detection for Windows
* Hopefully fixed bug with toolbar visibility storing
* Fixed: main menus from plugins (for 'all' engines)

2009-07-26:
* Fixed: bug with restoring session with non-latin file names 
  (on Windows)
* Fixed: bug with old charset selected (in menu) after the 
  file was saved with a different charset
* Added a warning message if a document doesn't exist

2009-07-14:
* Fixed: drag'n'drop when no documents are opened

2009-07-11:
* Swapped 'View' and 'Format' menus (now 'Format' goes 
  after 'View')

2009-07-10:
* Changed: main window title order (file name first, 'JuffEd' last)
* Added: context menu to file name in status bar (copy to clipboard)

2009-07-07:
* Added: changing the selection background color

-------------------------------
Preview-version 0.7.556
-------------------------------

2009-06-27:
* Fixed: bug with old tab tooltip after 'Save as'

2009-06-04:
* Fixed: crash on opening a recent file
* Fixed: single instance for multiple users (thanks to David Stegbauer)

2009-05-09:
* Fixed: symbols '\n', '\t'and '\r' in replacing string

2009-05-08:
* Fixed: getting text from FindDlg

2009-05-07:
* Added: search for multiline regexps
* Added: tooltip for multi-line checkbox (in FindDlg)
* Added: storing string settings from plugins

2009-05-06:
* Fixed: ugly empty status labels if no documents opened
* Added: toggling marker by clicking on line number
* Fixed: bug with text completer in find dialog when start 
  searching with selected text
* Added: option 'Close app after the last doc was closed'
* Added: context menu for tabbar (beside the tabs)
* Added: activating the app's window when opening a file remotely
* Fixed: bug with pop-up about log file on Windows at the 1st run
* Added: truncating the log file when the application starts
* Added: document lines count in statusbar
* Fixed: bug with too frequent updates of line numbers (was connected 
  to signal textChanged() instead of linesChanged())
* Fixed: overlapping tabbar's menu over tab's menu

2009-05-05:
* Added: 'Close all' to tab's context menu
* Added: 'Save all' to tab's context menu and main menu
* Added: block/line commenting for Java, C#, CSS, JavaScript, PHP

-------------------------------
Preview-version 0.7.528
-------------------------------

2009-04-27:
* Fixed: opening a directory

2009-04-26:
* Added: close button on each tab (for Qt >= 4.5)

2009-04-25:
* Added: moving tabs (for Qt >= 4.5)

2009-04-24:
* Added: storing the Find Dialog size
* Added: changing split orientation

2009-04-23:
* Added: customization for indents color and matching brace color

2009-04-22:
* Fixed: cursor color now has the same color as text

2009-04-20:
* Added: optional stripping trailing spaces when saving a file
* Fixed: bug with wrong line ending guessing

2009-04-19:
* Added: commenting a line (or several lines) by a hotkey (for some languages)
* Added: commenting a block by a hotkey (for some languages)

2009-04-18:
* Added: Pascal lexer (if supported)

2009-04-17:
* Added: TeX syntax highlighting
* Fixed: background color for default syntax highlighting
* Added: TCL lexer (if supported)
* Fixed: default colors for lexers that doesn't have scheme customization file

2009-04-15:
* Added: setting a currently selected text as a 'find/replace what' string
* Fixed: configuring in non-English locales

2009-04-14:
* Fixed: updating background color and default font color when changing a syntax scheme
* Fixed: custom colors for background and current line

2009-04-13:
* Added: basic charset auto-detection (for Unix)
* Fixed: configuring development versions on systems with non-English locales

2009-04-12:
* Added: changing default font and background colors
* Fixed: bug with freezing when replacing an empty string
* Added: zoom in/zoom out with ctrl+mouse wheel

2009-04-11:
* Added: page for file types configuration to 'Settings' dialog
* Hopefully fixed bug with lost focus after closing a document
* Added: Doxygen comments to JavaScript lexer
* Added: selection of a charset in 'Save' dialog

2009-04-10:
* Added: link to home page to 'About' dialog

2009-04-09:
* Added: 'Whole words only' to find options
* Added: 'Case sensitive' option for auto-completion
* Fixed: bug with comments in JavaScript highlighting
* Added: closing file by double-clicking on tab
* Fixed: updating charset name in statusbar

2009-04-08:
* Added: opening a new doc by double-clicking on tabbar's empty space
* Added: close button to the corner of tabbar
* Added: 'Close' action to tab's context menu
* Added: actions 'Match brace' and 'Select to matching brace'

2009-04-07:
* Added: plugins settings and enabling/disabling them in 'Settings' dialog

2009-04-06:
* Added: block text entering
* Added: basic macros support
* Added: combo-boxes instead of line edits to 'Find/Replace' dialog


===============================
Version 0.6.0
===============================

2009-04-07:
* Added: HTML highlighting to PHP scheme
* Added: company "SoftIcon" to 'About' dialog
* Fixed: troubles with log file on Windows
* Fixed: hidden main toolbar when starting without a config file
* Fixed: empty session at the first run

2009-04-06:
* Fixed: shortcut for 'Save as' action

2009-04-05:
* Fixed: updating syntax name in statusbar
* Fixed: updating cursor position in statusbar when typing in upper edit area

2009-04-04:
* German localization updated

-------------------------------
0.5 beta 2
-------------------------------

2009-04-03:
* Changelog updated
* Changed version to 0.5-beta2

2009-04-02:
* Fixed: moving the cursor to the end of inserted text (when using 
  insertText() method) if the text was a single line
* Added: toolbars list to 'Tools" menu
* Added: icons of sizes 16 and 24 to the default icon theme
* Fixed: bug with not working actions when there is one document opened/last 
  document closed (on Qt version 4.3 and earlier)
* Fixed: bug with opening a session (on Windows)
* Fixed: building issue on Windows (linking problem)
* Fixed: (hopefully) bug with lost focus in new documents

2009-03-31:
* Added: folding for C++ multi-line comments
* Removed: Undo/Redo actions from context menu

2009-03-30:
* Added: notification about document saving to plugins API
* Fixed: made replaceSelectedText() function atomic for Undo/Redo actions
* Fixed: installing headers when installing the program

2009-03-28:
* Added: adding actions to main menu sub-menus by plugins

2009-03-27:
* Fixed: trying to read a file with empty name when creating a new doc
* Added: replacing the not modified empty doc with opened one 
  if it was the only one before opening

2009-03-26:
* Fixed: hiding autocompletion list when switching the document
* Added: icons to external modification dialog buttons

2009-03-23:
* Fixed: compilation issues on Windows

2009-03-20:
* Added: dev files installation (for plugin developers)
* Added: list of dock windows
* Added: remembering of dock visibility when switching documents 
  of different types

-------------------------------
0.5 beta 1
-------------------------------

2009-03-19:
* Fixed: updating line numbers bar to appropriate width
* Fixed: loading autocompletion APIs from files
* Added: storing the invisible symbols visibility to config
* Added: request for particular line of text to ManagerInterface (plugins API)
* Added: getCurrentDocText() function to ManagerInterface (plugins API)
* Added: notifying plugins about context menu event
* Updated plugin example
* Changed the program description
* Changed icon

2009-03-18:
* Added: hidden symbols visibility
* Added: autocompletion

2009-03-15:
* Fixed: highlighting for doxygen single line comment (C++)

2009-03-14:
* Added: tooltip for tabs with full file names
* Fixed: bug with checking for external changes for NullDoc

2009-03-13:
* Reorganized main menu
* Fixed: bug with wrong view focus when doing undo/redo/cut/copy/paste
* Fixed: file name in status bar didn't change after 'Save as'
* Added: clickable status bar (charset, syntax, EOL)

2009-03-12:
* Added: context menu to plugins API

2009-03-11:
* Added: guessing file's syntax by its 1st line.
* Added: customizing the main toolbar in config file.
* Added: EOL auto-detection and changing by the user.
* Fixed: restoring toolbars and docks positions after restart.

2009-03-10:
* Added: basic code for Rich text engine.

2009-03-09:
* Added: using of SVG icons.

2009-03-06:
* Added: scrolling docs with mouse wheel over the tab bar.
* Added: unindention of current line if selection is empty (Sci engine).
* Added: CMake syntax highlighting.

2009-03-04:
* Removed "Print selected lines" menu item. Now it prints selected
  lines if there is a selection or prints the whole text if there isn't.

Initial commit:
* Added: different text engines.
* Added: splittable document view for Scintilla text engine.
* Added: using installed system icon themes.
* Moved to CMake building system.


===============================
Version 0.4.1
===============================
2008-10-17:
* Added: 'Replace' action to main menu
* Added: storing the 'replace to' text

2008-10-15 15:13:37 -0400 (Срд, 15 Окт 2008) | 1 line
* Moved sessions actions from 'File' menu to submenu

2008-10-13:
* Added: selection of EOL mode (Win/Unix/Mac)


=== Branch 0.4 splitted ===

2008-10-13:
* Added: action "Normal size" for text zoom
* Fixed: now we have current file's directory at 'Save as' dialog
* Fixed: bug with repeated replacements if replacing text 
  contains the replaceable one as a substring

2008-09-05:
* Added: zoom in and zoom out (increase and decrease font)
* Added: settings page for autocompletion

2008-08-28:
* Fixed: restoring cursor position after reloading

2008-08-25:
* Added: copying of installed API files to user's dir (if 
  they don't exist yet)

2008-08-24:
* Added: processing of read-only files

2008-08-21:
* Improved: serach using regexps
* Added: more file types to 'Open' dialog

2008-08-19:
* Added: autocompletion from API list (dictionary)

2008-08-06:
* Added: plugins settings

2008-07-24:
* Added: printing of selected lines

2008-07-23:
* Added: highlighting for Batch files
* Added: context menu for document tab

2008-07-14:
* Added: printing

2008-07-10:
* Added: basic plugins support
* Added: basic autocomplete

2008-07-08:
* Fixed: bug with unindention of the line below the selected ones

2008-07-05:
* Splitted 0.3 branch and started 0.4-dev

-------------------------------
Version 0.3-beta2
-------------------------------
* Fixed: bug with session restoring on Windows (forgot 
  about ':' in file path :))
* Added: syncronizing 'Open' dialog with current doc's dir
* Added: custom color for markers
* Added: custom color for current line highlighting
* Added: unindention of selected text with Shift+Tab
* Added: --lrelease option to configure script
* Updated desktop-file
* Updated localizations


-------------------------------
Version 0.3-beta1
-------------------------------
* Added support for diff-files;
* Hopefully fixed bug with opening the current dir (appered 
* Added French, Portuguese localizations
* Added: packaging script for Debian-based distros
* Added: Java custom highlighting scheme
* Added: doc comments to C++ scheme
* Added: 'Replace tabs with spaces' option
* Improved settings dialog
* Fixed: bug with small window when the app was closed 
  maximized several times in a row;
* Added: configure script
* Added: saving of last session even if no name was given to it
* Added: restoring scrollbar and cursor position when 
  restoring session
* Fixed: bug with relative paths in filename (at statusbar)
* Fixed: copying highlighting schemes to home dir. Now checks 
  if every single file exists.
* Fixed: if the app was closed maximized, it doesn't restore 
  normal size when started again;
* Fixed: crash when tried to change 'Show line numbers' or 
  'Adjust by width' without any opened documents;
* Added: options 'Show indents' and 'Highlight current line'
  to Settings dialog;


-------------------------------
Version 0.3-dev
-------------------------------
* using QScintilla instead of QTextEdit;
* manual syntax highlighting selection;
* custom highlights for C++, Makefile, Python, HTML, XML, Bash, Perl, Ruby, JavaScript;
* updating markers menu;
* icon themes now at user home dir
* one built-in icon theme


-------------------------------
Exported from 0.2.1
-------------------------------
* Fixed: (Windows) sometimes wrong tab name appeared after 'Save as'
  action (relative or absolute file path instead of file name)
* Fixed: multiple asking 'what to do?' when file was modified by 
  external program
* Fixed: menu item 'Recent files' has an old icon when icon theme changed


===============================
Version 0.2-release
===============================
* Added: move to the next/previous marker;
* Fixed: opening in existing instance using relative file 
  names in console;
* Fixed: regression in beta3 with multi-line blocks highlighting;


-------------------------------
Version 0.2-beta3
-------------------------------
* Changed: opening new file now replaces empty unchanged document, if it
  is the only one which is opened at that momend;
* Fixed: crash when exiting (appeared with some versions of Qt);
* Fixed: "open in existing instance" now isn't visible on Windows (since 
  this functionality is unavailable);
* Misc: filled up translations;


-------------------------------
Version 0.2-beta2
-------------------------------
* Added: Close button to About dialog;
* Fixed: can't be compiled on Windows (closing of IPC 
  socket isn't isolated);
* Fixed: window title doesn't change properly after "Save 
  session as" action;


-------------------------------
Version 0.2-beta1
-------------------------------
* Added: option "Save as a copy" to "Save as" dialog;
* Added: notification of changing file by external program;
* Added: using existing instance of application for opening files;
* Added: French and Spanish localizations;
* Added: license to "About" dialog;
* Changed: Settings dialog was reorganized a bit;


-------------------------------
Version 0.2-dev-20080311
-------------------------------
* Changed: Some improvements in Makefile;
* Fixed: regression with opening files;
* Fixed: regression with closing tab with any button;


-------------------------------
Version 0.2-dev-20080310
-------------------------------
* Added: line markers;
* Added: opening of multiple files with "Open file" dialog and 
  command line;
* Added: line length indicator;
* Added: auto-saving option;
* Added: German localization (thanks to Michael Gangolf);
* Changed: new "About" dialog;
* Fixed: "Continue from the beginning?" dialog also works for 
  "Replace" action when reaches the end of the file;
* Misc: code design improvements;


-------------------------------
Version 0.2-dev-20080116
-------------------------------
* Added: options "Show line numbers" and "Adjust by width" for each 
  document separately;
* Added: session name and file name in window title;
* Added: toolbar icons size changing;
* Added: closing documents with middle-click on the corresponding tab;
* Added: "Recent files" menu;
* Added: optional making a backup copy of file when saving;
* Added: file reload action;
* Changed: improved response when search reaches the end or the 
  beginning of the document;
* Fixed: "Save as" dialog now contains the original file name;


-------------------------------
Version 0.1.2-beta4
-------------------------------
* fixed the bug with lost focus after close confirming dialog (if 
  Compiz is used);
* fixed the bug when "Noname" document could get wrong tab title after
  applying settings;


-------------------------------
Version 0.1.2-beta3
-------------------------------
* improved highlighting shemes syntax;
* added highlighting schemes for HTML, XML, PHP, Python, 
  Makefiles, ini-files, patch-files;
* fixed the bug when highlighting scheme didn't work properly if 
  there was no whole-line-comment-rule in scheme (or it was empty);
* fixed the bug with lost focus after "Go to line number" action (if 
  Compiz is used);
* added an opportunity to configure startup behavior (show session
  dialog, load last saved session or start new session);
* added session auto-saving option;


-------------------------------
Version 0.1.2-beta2
-------------------------------
Fixed:
* unnecessary indent insertion
* Makefile install/uninstall instructions (finally!! :)
* language detection

Changed:
* directory structure


-------------------------------
Version 0.1.2-beta1
-------------------------------
Fixed:
* opening files from command line (with non-latin symbols in path);


-------------------------------
Version 0.1.2-20070811
-------------------------------
Fixed:
* lost focus after "Save as";
* bug with "replace all" permanent switching on after using it once;
* find/replace using regexps;
* storing the cursor position after switching the charset;

Added:
* sessions support;
* simple auto-indent;
* different toolbar styles (icons only, text under icons, etc.)
* Polish localization (thanks to Jarek)

Changed:
* multithread opening is temporary switched off;


-------------------------------
Version 0.1.2-20070709
-------------------------------
Added:
* search and replace using regular expressions;
* processing (highlighting) multiline blocks;

Fixed:
* storing of last save dir;
* row and column number 0 in cursor position indicator;

Changed:
* now it opens files in separate threads;


-------------------------------
Version 0.1.2-20070625
-------------------------------
Added:
* open file(s) with drag'n'drop;
* text replacement;
* localization (only Russian for the present, you're welcome with 
  your own translations);

Fixed:
* rich text insertion with copy/paste;
* corresponding charset menu item now checks depending on file 
  charset when file switches;
* context menu is the same as "Edit" menu in main menu bar;
* some fixes for Windows: errors of compilation, wrong drag'n'drop;


===============================
Version 0.1.1 (12-06-2007)    
===============================
Fixed: 
* window title and status bar didn't change after "Save as";

Changed: 
* doesn't use Windows registry, uses config file at user directory 
  instead;
